Subject: Re: [PATCH] git-p4: fix filetype detection on files opened exclusively

From: Junio C Hamano <[email-masked]>
Date: Thu, 02 Apr 2015 14:17:07 -0700

Luke Diamand <[email-masked]> writes:

> (+Pete for interest).
>
> On 31 March 2015 at 22:54, Holloway, Blair
> <[email-masked]> wrote:
>> If a Perforce server is configured to automatically set +l (exclusive lock) on
>> add of certain file types, git p4 submit will fail during getP4OpenedType, as
>> the regex doesn't expect the trailing '*exclusive*' from p4 opened:
>
> Thanks - that actually fixes a part of the long-standing problem of
> handling locked files which Pete identified about a year ago.
>
> There's a test case for handling of locked files,
> t9816-git-p4-locked.sh, which needs updating now as a bit more of it
> passes. Junio, I'll submit a followup patch to update those tests once
> I get back from vacation.

Thanks.  Lest I forget, I'd prefer this patch resent from you in a
two (or more) patch series, with this one marked as 1/N with your
"Acked-by:", and your follow-up patches 2/N...N/N.  If it is not a
too much work for you, that is.

Thanks.